﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamGridColumnsVisibility
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.DataContext = new CountyInputViewModel("dummy");
            Application.Current.Resources.Add("countyInputViewModel", this.DataContext);

            InitializeComponent();
        }
    }

    public class BoolToVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((bool)value)
            {
                return Visibility.Visible;
            }
            return Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

    public class MyPoint
    {
        public int Y { get; set; }
        public int X { get; set; }
    }

    public class CountyInputViewModel: INotifyPropertyChanged
    {

        public CountyInputViewModel(string dummy)
        {
            Data = new ObservableCollection<MyPoint>();
            Data.Add(new MyPoint() { X = 1, Y = 1 });
            Data.Add(new MyPoint() { X = 2, Y = 2 });
            Data.Add(new MyPoint() { X = 3, Y = 3 });
            Data.Add(new MyPoint() { X = 4, Y = 4 });
            IsVisible = true;
        }

        public ObservableCollection<MyPoint> Data { get; set; }
        private bool isVisible;

        public  bool IsVisible
        {
            get { return isVisible; }
            set 
            { 
                isVisible = value;
                PropChanged("IsVisible");
            }
        }
        


        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }


}
